org.eclipse.microprofile.fault.tolerance.tck.metrics

## Class CircuitBreakerMetricTest

- java.lang.Object
- - org.jboss.arquillian.testng.Arquillian
  - - org.eclipse.microprofile.fault.tolerance.tck.metrics.CircuitBreakerMetricTest

All Implemented Interfaces:
  org.testng.IHookable, org.testng.ITestNGListener

    public class CircuitBreakerMetricTest
    extends org.jboss.arquillian.testng.Arquillian

### Nested Class Summary

### Nested classes/interfaces inherited from class org.jboss.arquillian.testng.Arquillian

`org.jboss.arquillian.testng.Arquillian.UpdateResultListener`

### Field Summary

### Fields inherited from class org.jboss.arquillian.testng.Arquillian

`ARQUILLIAN_DATA_PROVIDER`

### Constructor Summary

Constructors
Constructor and Description
`CircuitBreakerMetricTest()`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `closeTheCircuit()`
`static org.jboss.shrinkwrap.api.spec.WebArchive` `deploy()`
`void` `testCircuitBreakerMetric()`

### Methods inherited from class org.jboss.arquillian.testng.Arquillian

`arquillianAfterClass, arquillianAfterSuite, arquillianAfterTest, arquillianArgumentProvider, arquillianBeforeClass, arquillianBeforeSuite, arquillianBeforeTest, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CircuitBreakerMetricTest

    public CircuitBreakerMetricTest()

### Method Detail

#### deploy

    @Deployment
    public static org.jboss.shrinkwrap.api.spec.WebArchive deploy()

#### closeTheCircuit

    public void closeTheCircuit()
                         throws Exception

Throws:
  `Exception`

#### testCircuitBreakerMetric

    public void testCircuitBreakerMetric()
                                  throws Exception

Throws:
  `Exception`